Page MenuHomePhabricator

Requesting access to stat1002 for cwdent
Closed, ResolvedPublic

Description

Username: cwdent
Full name: Casey Dentinger

I work in FR tech and would like to be able to help with some investigation into recent page view/banner impression inconsistencies

I made a new keypair for this, here is the pub:

ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDhB5NxsYxf82q8N2/xUZXRUJNlgUB8moiLxFnrS8989pXs4wiilEFpYgMIZ0V30lu7xIeHzCWdJYEq0ySeQ8Wm5BVdM8APpiLZ4YNheG+gTtRaESSjyj6x/VcCxLjiXwzuXSEikmwXKhXeVFIO8s2FaOrb3JYizaWJxbA6DAQiD3ILR8pjuJtaUkZcmVO86qjdOFGqeRMMB1kVye9JYDRYow8QM13v0TDeP+5EY+6yTG5jlGNscTwYO6Xn/BPi+LS/X1AJYQ6qmWjUky3g6TJEREDmpZBmSfl5bGWBVohOZLuQWTxXAuQ/a5tuCbF+fVsJLZv4dRlEINgxyuEbTSwN

Thanks!

Related Objects

StatusAssignedTask
ResolvedRobH

Event Timeline

Restricted Application added a project: Operations. · View Herald TranscriptDec 18 2015, 10:05 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
cwdent updated the task description. (Show Details)
cwdent removed a project: Operations.
cwdent changed Security from None to Access Request.
cwdent edited subscribers, added: cwdent; removed: Aklapper, StudiesWorld.
Restricted Application added a project: Operations. · View Herald TranscriptDec 18 2015, 10:05 PM
RobH assigned this task to cwdent.Dec 21 2015, 4:16 PM
RobH added a subscriber: RobH.

@cwdent:

Since we have Katie's approval, we'll just need a few things from you.

Do you know what groups you need to be added to to view the pageview data needed? It seems these are analytics groups, which are described here.

I'd imagine it is the following:

  • analytics-users: Access to stat1002 to connect to the Analytics/Cluster (Hadoop/Hive) (NO PRIVATE DATA).
  • analytics-privatedata-users: Access to stat1002 to connect to the Analytics/Cluster (Hadoop/Hive) and to query private data hosted there, including webrequest logs. If you want Hadoop access, you probably want this.

Would you be able to confirm that these are the two groups needed?

Additionally, to setup shell access, we need you to read and sign Acknowledgement of Wikimedia Server Access Responsibilities L3.

I'm on clinic duty this week, so I'm assigning this to @cwdent for the above input. Once received, please either assign this task back to me, or place it up for grabs with no owner and I'll snag/implement.

RobH triaged this task as Medium priority.Dec 21 2015, 4:17 PM

Thanks @RobH, I checked with @AndyRussG and those are indeed the correct groups. I signed the production access agreement and will assign this back to you.

cwdent reassigned this task from cwdent to RobH.Dec 21 2015, 5:31 PM
RobH changed the task status from Open to Stalled.Dec 21 2015, 8:49 PM

Sounds good. All access requests additionally have a 3 business day wait. So this access can go live on Wednesday. I'll keep it assigned to me and merge it live then.

I've submitted the following patchset: https://gerrit.wikimedia.org/r/#/c/260442/

It seems I didn't need to list you in the users, as the privatedata-users is includes non-private data (so you don't seem to need both.)

RobH added a subscriber: mark.Dec 21 2015, 8:51 PM

I also want to note (and I've sent @cwdent a PM regarding this), if this access is needed as part of the fundraiser, and the 3 day wait cannot be observed, we can ask @mark to approve this to circumvent that policy. We only do this on a case by case, time sensitive nature requests.

Since the fundraiser is ongoing, I want to make sure this isn't blocking that work! If so, we can get the above mentioned approval.

RobH added a comment.Dec 22 2015, 7:26 PM

IRC Update: I synced up with @cwdent via PM yesterday and this can wait for the typical 3 day wait.

If there are (still) no objections lodged by tomorrow, I'll merge this access live.

RobH closed this task as Resolved.Dec 23 2015, 5:13 PM

No objections, so this is now live. I've also forced a puppet run on both bast1001.wikimedia.org and stat1002.eqiad.wmnet, so they have your keys. The other bastions will get them within the hour, as they do their regular call into puppet.

RobH closed subtask Restricted Task as Resolved.Feb 10 2016, 8:14 PM